[//]: #@corifeus-header
  
[![NPM](https://nodei.co/npm/p3x-onenote.png?downloads=true&downloadRank=true&stars=true)](https://www.npmjs.com/package/p3x-onenote/)

  

[![Donate for Corifeus / P3X](https://img.shields.io/badge/Donate-Corifeus-003087.svg)](https://paypal.me/patrikx3) [![Contact Corifeus / P3X](https://img.shields.io/badge/Contact-P3X-ff9900.svg)](https://www.patrikx3.com/en/front/contact) [![Corifeus @ Facebook](https://img.shields.io/badge/Facebook-Corifeus-3b5998.svg)](https://www.facebook.com/corifeus.software)  [![Build Status](https://api.travis-ci.com/patrikx3/onenote.svg?branch=master)](https://travis-ci.com/patrikx3/onenote) 
[![Uptime Robot ratio (30 days)](https://img.shields.io/uptimerobot/ratio/m780749701-41bcade28c1ea8154eda7cca.svg)](https://uptimerobot.patrikx3.com/)

 [![Backers on Open Collective](https://opencollective.com/p3x-onenote/backers/badge.svg)](#backers) [![Sponsors on Open Collective](https://opencollective.com/p3x-onenote/sponsors/badge.svg)](#sponsors) 


 
# 📚 P3X OneNote Linux v2019.4.16  

  
🙏 This is an open-source project. Star this repository, if you like it, or even donate to maintain the servers and the development. Thank you so much!

Possible, this server, rarely, is down, please hang on for 15-30 minutes and the server will be back up.

All my domains ([patrikx3.com](https://patrikx3.com) and [corifeus.com](https://corifeus.com)) could have minor errors, since I am developing in my free time. However, it is usually stable.

**Note about versioning:** Versions are cut in Major.Minor.Patch schema. Major is always the current year. Minor is either 4 (January - June) or 10 (July - December). Patch is incremental by every build. If there is a breaking change, it should be noted in the readme.

**Bugs are evident™ - MATRIX️**  
    

    



# Description  

                        
[//]: #@corifeus-header:end

A Linux compatible version of OneNote

![Screenshot 1](https://cdn.corifeus.com/git/onenote/artifacts/screenshot/screenshot-2019.png)

# Downloadable installer

[![LINK](https://snapcraft.io/static/images/badges/en/snap-store-black.svg)](https://snapcraft.io/p3x-onenote)

https://github.com/patrikx3/onenote/releases

After downloading the ```AppImage```, make it an executable.
```bash
mkdir -p $HOME/opt
mv ~/Downloads/p3x-onenote-a.b.c-x86_64.AppImage $HOME/opt/
chmod +x $HOME/opt/p3x-onenote-a.b.c-x86_64.AppImage
# Then you can run it
$HOME/opt/p3x-onenote-a.b.c-x86_64.AppImage &
```

It then actually integrates itself into the menus and it will auto update itself.

<!--
(The GitHub versions are always instant, while the ElectronJs Apps releases are delayed.)    
-->
  
The app can be found on [ElectronJs Apps](https://electronjs.org/apps/p3x-onenote)

[Change log](changelog.md)


<!--

If you want to install it on NodeJs instead of the AppImage, it is deprecated, but available [here](https://github.com/patrikx3/onenote/blob/c78e77c540e21b89e0e063cd50a10707faae722e/README.md#cli-install)

## Important Note

Check the ```Keep me signed in``` checkbox when entering your password then choose any page (but not a notebook) after logging in. This will keep you logged in.


**Do not install this app using the Command Line Interface (CLI) as it is deprecated**

The ```CLI``` installation does not always work due the updating of Linux distros.  Is is possible the ```configstore``` only works with ```sudo```, so use the ```released``` ```AppImage``` instead!

Installation of ```NodeJs``` is not necessary since the ```AppImage``` includes all dependencies.

```bash
# If this weird NPM error is encountered, do the following:
node -v
# make sure the node version is above 8.9.0
sudo npm install -g p3x-onenote --unsafe-perm=true --allow-root
p3x-onenote
```

Logout and relogin, and a menu will now appear.
-->

## If you are a NodeJs Ninja

[You want to install via NPM...](artifacts/npm.md)

# Original version
https://github.com/peterforgacs/electron-onenote

Props for Peter Forgacs! 😎

# Main Features

P3X OneNote Linux is, actually, an independent browser window for the online OneNote. You can use this program without having to clutter your browser. The main functions are:
* that is independent from any browser, as it works in it's own process
* it provides a tray, that allows you to close your browser while it keeps running in the tray
* the data is cached and is faster than always opening a new window
* it allows you to sign in with the corporate or the personal login
* when there is a new update, it auto updates itself.
* the program allows to use other Microsoft online applications, but the dedicated purpose is to use OneNote

## Verbose feature info

* Desktop menu <!-- (`````~/.local/share/applications/p3x-onenote.desktop`````) -->
* Icon
* There is a bottom bar
  * It shows the current location
  * When you click on this bar, the location URL is copied into the clipboard
* There is a new button on the Edit menu
  * Copy this location to the clipboard
    * This is the same function that is on the bottom bar when you click on it
* Restart button (empty your cache, you can login again if there is an error)
* Remember last notebook (as much Online Onenote allows ...)
* Menu > Settings 
  * Close button 
    * Close button - will minimize to the tray instead of quit
    * Close button - default quit close button behaviour (quit the app)
* You are able to set a proxy in the settings menu.
* There is now a menu called `Corporate home`
* The OneNote language is controlled by Microsoft, but the Electron UI is now able to use any language. The default is only implemented now English. If you want to request a new language, there is a `./translation/en.js` file, if you create a file like `./translation/zn.js` (Chinese) and implement these keys, I will add a permanent setting in the menu (`Language chooser`).

# Issues

## Not loading the pages
Sometimes, it is possible, that OneNote Online does not load properly, the solutions is to quit and start the program again. 

<!--
## Unable to log in

This only happens if you kill ```P3X OneNote Linux``` and then relogin many times. So, If the program needs to be killed often, ```sign out``` (on the top right of the Electron browser frame) just to be safe.

### BUT!

**Exiting using ```quit``` from the ```p3x-onenote``` menu or the tray, will prevent the problem.**

-->

## Fedora

https://github.com/patrikx3/onenote/issues/3#issuecomment-312711801

## Change language

Although the main page's language can be changed, it reverts back when an actual page is accessed.
This is being investigated.

https://github.com/patrikx3/onenote/issues/14

## Electron problem
🐞 Since Electron v3, the tray left click is executing as the right click, Electron bug.  

# Development
If you try to build the app with AppImage, you have to change from `electron` `dependencies` to `devDependencies`, this is because it is created to be able to run this app from `NPM` instead of an `AppImage`.

# URL links


[P3X OneNote Linux playground](https://patrikx3.com/hu/ajto/jatszoter/14/p3x-linux-onenote#PG14)  

[Corifeus P3X OneNote Linux pages](https://pages.corifeus.com/onenote/)  

[AlternativeTo OneNote Linux](https://alternativeto.net/software/p3x-onenote/)  

[NPM P3X OneNote](https://www.npmjs.com/package/p3x-onenote)

[Snap Store](https://snapcraft.io/p3x-onenote)

[//]: #@corifeus-footer

---

[**P3X-ONENOTE**](https://pages.corifeus.com/onenote) Build v2019.4.16 

[![Donate for Corifeus / P3X](https://img.shields.io/badge/Donate-Corifeus-003087.svg)](https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&hosted_button_id=QZVM4V6HVZJW6)  [![Contact Corifeus / P3X](https://img.shields.io/badge/Contact-P3X-ff9900.svg)](https://www.patrikx3.com/en/front/contact) [![Like Corifeus @ Facebook](https://img.shields.io/badge/LIKE-Corifeus-3b5998.svg)](https://www.facebook.com/corifeus.software) 


## P3X Sponsors

[IntelliJ - The most intelligent Java IDE](https://www.jetbrains.com/?from=patrikx3)
  
[![JetBrains](https://cdn.corifeus.com/assets/svg/jetbrains-logo.svg)](https://www.jetbrains.com/?from=patrikx3) [![NoSQLBooster](https://cdn.corifeus.com/assets/png/nosqlbooster-70x70.png)](https://www.nosqlbooster.com/)

[The Smartest IDE for MongoDB](https://www.nosqlbooster.com)
  
  


# Open collective

## Contributors

This project exists thanks to all the people who contribute.  
   
<a href="https://github.com/patrikx3/onenote/graphs/contributors"><img src="https://opencollective.com/p3x-onenote/contributors.svg?width=890&button=false" /></a>


## Backers

Thank you to all our backers!   
  
🙏 [Become a backer](https://opencollective.com/p3x-onenote#backer)
  
<a href="https://opencollective.com/p3x-onenote#backers" target="_blank"><img src="https://opencollective.com/p3x-onenote/backers.svg?width=890"></a>


## Sponsors

Support this project by becoming a sponsor. Your logo will show up here with a link to your website. 
  
🙏 [Become a sponsor](https://opencollective.com/p3x-onenote#sponsor)  
  
<a href="https://opencollective.com/p3x-onenote/sponsor/0/website" target="_blank"><img src="https://opencollective.com/p3x-onenote/sponsor/0/avatar.svg"></a>
<a href="https://opencollective.com/p3x-onenote/sponsor/1/website" target="_blank"><img src="https://opencollective.com/p3x-onenote/sponsor/1/avatar.svg"></a>
<a href="https://opencollective.com/p3x-onenote/sponsor/2/website" target="_blank"><img src="https://opencollective.com/p3x-onenote/sponsor/2/avatar.svg"></a>
<a href="https://opencollective.com/p3x-onenote/sponsor/3/website" target="_blank"><img src="https://opencollective.com/p3x-onenote/sponsor/3/avatar.svg"></a>
<a href="https://opencollective.com/p3x-onenote/sponsor/4/website" target="_blank"><img src="https://opencollective.com/p3x-onenote/sponsor/4/avatar.svg"></a>
<a href="https://opencollective.com/p3x-onenote/sponsor/5/website" target="_blank"><img src="https://opencollective.com/p3x-onenote/sponsor/5/avatar.svg"></a>
<a href="https://opencollective.com/p3x-onenote/sponsor/6/website" target="_blank"><img src="https://opencollective.com/p3x-onenote/sponsor/6/avatar.svg"></a>
<a href="https://opencollective.com/p3x-onenote/sponsor/7/website" target="_blank"><img src="https://opencollective.com/p3x-onenote/sponsor/7/avatar.svg"></a>
<a href="https://opencollective.com/p3x-onenote/sponsor/8/website" target="_blank"><img src="https://opencollective.com/p3x-onenote/sponsor/8/avatar.svg"></a>
<a href="https://opencollective.com/p3x-onenote/sponsor/9/website" target="_blank"><img src="https://opencollective.com/p3x-onenote/sponsor/9/avatar.svg"></a>
        
 

[//]: #@corifeus-footer:end
